# Check Device Onboarding Exclusion Scheduled

### Description

This runbook identifies Windows Autopilot devices that are not yet enrolled in Intune and ensures they are members of a configured exclusion group. It also removes devices from the group once they are no longer in scope.

### Location

Organization → General → Check Device Onboarding Exclusion (Scheduled)

**Full Runbook name**

rjgit-org\_general\_check-device-onboarding-exclusion\_scheduled

### Permissions

#### Application permissions

* **Type**: Microsoft Graph
  * Group.ReadWrite.All
  * Device.Read.All
  * DeviceManagementManagedDevices.Read.All

### Parameters

#### exclusionGroupName

Display name of the exclusion group to manage.

| Property      | Value                                                                          |
| ------------- | ------------------------------------------------------------------------------ |
| Required      | false                                                                          |
| Default Value | cfg - Intune - Windows - Compliance for unenrolled Autopilot devices (devices) |
| Type          | String                                                                         |

#### maxAgeInDays

Maximum age in days for recently enrolled devices to be considered in grace scope.

| Property      | Value |
| ------------- | ----- |
| Required      | false |
| Default Value | 1     |
| Type          | Int32 |

[Back to Runbook Reference overview](/automation/runbooks/runbook-references.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmjoin.com/automation/runbooks/runbook-references/org/general/check-device-onboarding-exclusion_scheduled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
